Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout.dlm
Class DistributedUserPreferences

    java.lang.Object
      org.jasig.portal.StylesheetUserPreferences
          org.jasig.portal.ThemeStylesheetUserPreferences
              org.jasig.portal.StructureStylesheetUserPreferences
                  org.jasig.portal.layout.dlm.DistributedUserPreferences

All Implemented Interfaces:
  java.io.Serializable

    public class DistributedUserPreferences

extends StructureStylesheetUserPreferences

Distributed layout Extension to user preferences object for stylesheets performing structure or theme transformation. This extension adds support for user preferences set by layout owneres in incorporated elements.

Since:
  uPortal 2.5
Version:
  $Revision: 1.4.2.2 $ $Date: 2005/06/07 00:16:12 $
Author:
  Mark Boyd mboyd@campuspipeline.com
See Also:
  Serialized Form

Field Summary
`protected java.util.Hashtable` | `incorporatedChannelAttributeValues`
`protected java.util.Hashtable` | `incorporatedFolderAttributeValues`
`private static org.apache.commons.logging.Log` | `LOG`
`static java.lang.String` | `RCS_ID`

Fields inherited from class org.jasig.portal.StructureStylesheetUserPreferences
`defaultFolderAttributeValues, folderAttributeNumbers, folderAttributeValues`

Fields inherited from class org.jasig.portal.ThemeStylesheetUserPreferences
`channelAttributeNumbers, channelAttributeValues, defaultChannelAttributeValues`

Constructor Summary
`DistributedUserPreferences()` Creates a new DistributedUserPreferences object with empty tables.
`DistributedUserPreferences(DistributedUserPreferences dup)` Creates a new DistributedUserPreferences object populated with all values from the passed-in instance.
`DistributedUserPreferences(StructureStylesheetUserPreferences ssup)` Creates a DistributedUserPreferences with values for super classes derived from those of the passed in StructureStylesheetUserPreferences object.
`DistributedUserPreferences(ThemeStylesheetUserPreferences tsup)` If instantiated with a theme stylesheet preferences then this object should only be used in place of a theme stylesheet user prefs since structure stylesheet oriented variables will not be initialized.

Method Summary
`void` | `changeChannelId(java.lang.String oldChannelId, java.lang.String newChannelId)`
`void` | `changeFolderId(java.lang.String oldFolderId, java.lang.String newFolderId)`
`private java.util.ArrayList` | `createIncorporatedChannel(java.lang.String channelSubscribeId)`
`private java.util.ArrayList` | `createIncorporatedFolder(java.lang.String folderID)`
`java.lang.String` | `getChannelAttributeValue(java.lang.String channelSubscribeId, java.lang.String attributeName)`
`java.util.Enumeration` | `getChannels()`
`java.lang.String` | `getFolderAttributeValue(java.lang.String folderId, java.lang.String attributeName)`
`java.util.Enumeration` | `getFolders()`
`boolean` | `hasChannel(java.lang.String chanId)`
`boolean` | `hasFolder(java.lang.String folderId)`
`java.lang.Object` | `newInstance()` Provides a copy of this object with all fields instantiated to reflect the values of this object.
`void` | `removeChannel(java.lang.String channelSubscribeId)`
`void` | `removeDefinedChannelAttributeValue(java.lang.String channelID, java.lang.String attributeName)`
`void` | `removeDefinedFolderAttributeValue(java.lang.String folderID, java.lang.String attributeName)`
`void` | `removeFolder(java.lang.String folderID)`
`void` | `setIncorporatedChannelAttributeValue(java.lang.String channelSubscribeId, java.lang.String attributeName, java.lang.String attributeValue)`
`void` | `setIncorporatedFolderAttributeValue(java.lang.String folderSubscribeId, java.lang.String attributeName, java.lang.String attributeValue)`

Methods inherited from class org.jasig.portal.StructureStylesheetUserPreferences
`addFolder, addFolderAttribute, getCacheKey, getDefinedFolderAttributeValue, getFolderAttributeNames, removeFolderAttribute, setFolderAttributeDefaultValue, setFolderAttributeValue`

Methods inherited from class org.jasig.portal.ThemeStylesheetUserPreferences
`addChannel, addChannelAttribute, getChannelAttributeNames, getDefinedChannelAttributeValue, removeChannelAttribute, setChannelAttributeDefaultValue, setChannelAttributeValue`

Methods inherited from class org.jasig.portal.StylesheetUserPreferences
`deleteParameter, getParameterValue, getParameterValues, getStylesheetId, putParameterValue, setParameterValues, setStylesheetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

See Also:
  Constant Field Values

### LOG

    private static org.apache.commons.logging.Log LOG

### incorporatedChannelAttributeValues

    protected java.util.Hashtable incorporatedChannelAttributeValues

### incorporatedFolderAttributeValues

    protected java.util.Hashtable incorporatedFolderAttributeValues

Constructor Detail

### DistributedUserPreferences

    public DistributedUserPreferences()

  Creates a new DistributedUserPreferences object with empty tables.

### DistributedUserPreferences

    public DistributedUserPreferences(StructureStylesheetUserPreferences ssup)

  Creates a DistributedUserPreferences with values for super classes derived from those of the passed in StructureStylesheetUserPreferences object.

  Parameters:
    `ssup` -

### DistributedUserPreferences

    public DistributedUserPreferences(ThemeStylesheetUserPreferences tsup)

  If instantiated with a theme stylesheet preferences then this object should only be used in place of a theme stylesheet user prefs since structure stylesheet oriented variables will not be initialized.

### DistributedUserPreferences

    public DistributedUserPreferences(DistributedUserPreferences dup)

  Creates a new DistributedUserPreferences object populated with all values from the passed-in instance.

  Parameters:
    `dup` -

Method Detail

### newInstance

    public java.lang.Object newInstance()

  Provides a copy of this object with all fields instantiated to reflect the values of this object. This allows subclasses to override to add correct copying behavior for their added fields.

  Overrides:
    `newInstance` in class `StructureStylesheetUserPreferences`
  Returns:
    a copy of this object

### getFolders

    public java.util.Enumeration getFolders()

  Overrides:
    `getFolders` in class `StructureStylesheetUserPreferences`

### hasFolder

    public boolean hasFolder(java.lang.String folderId)

  Overrides:
    `hasFolder` in class `StructureStylesheetUserPreferences`

### getFolderAttributeValue

    public java.lang.String getFolderAttributeValue(java.lang.String folderId,
                                                    java.lang.String attributeName)

  Overrides:
    `getFolderAttributeValue` in class `StructureStylesheetUserPreferences`

### setIncorporatedFolderAttributeValue

    public void setIncorporatedFolderAttributeValue(java.lang.String folderSubscribeId,
                                                    java.lang.String attributeName,
                                                    java.lang.String attributeValue)

### removeFolder

    public void removeFolder(java.lang.String folderID)

  Overrides:
    `removeFolder` in class `StructureStylesheetUserPreferences`

### removeChannel

    public void removeChannel(java.lang.String channelSubscribeId)

  Overrides:
    `removeChannel` in class `ThemeStylesheetUserPreferences`

### removeDefinedFolderAttributeValue

    public void removeDefinedFolderAttributeValue(java.lang.String folderID,
                                                  java.lang.String attributeName)

### createIncorporatedFolder

    private java.util.ArrayList createIncorporatedFolder(java.lang.String folderID)

### changeFolderId

    public void changeFolderId(java.lang.String oldFolderId,
                               java.lang.String newFolderId)

### getChannels

    public java.util.Enumeration getChannels()

  Overrides:
    `getChannels` in class `ThemeStylesheetUserPreferences`

### hasChannel

    public boolean hasChannel(java.lang.String chanId)

  Overrides:
    `hasChannel` in class `ThemeStylesheetUserPreferences`

### getChannelAttributeValue

    public java.lang.String getChannelAttributeValue(java.lang.String channelSubscribeId,
                                                     java.lang.String attributeName)

  Overrides:
    `getChannelAttributeValue` in class `ThemeStylesheetUserPreferences`

### setIncorporatedChannelAttributeValue

    public void setIncorporatedChannelAttributeValue(java.lang.String channelSubscribeId,
                                                     java.lang.String attributeName,
                                                     java.lang.String attributeValue)

### removeDefinedChannelAttributeValue

    public void removeDefinedChannelAttributeValue(java.lang.String channelID,
                                                   java.lang.String attributeName)

### createIncorporatedChannel

    private java.util.ArrayList createIncorporatedChannel(java.lang.String channelSubscribeId)

### changeChannelId

    public void changeChannelId(java.lang.String oldChannelId,
                                java.lang.String newChannelId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD